import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class TestApplet extends JApplet {
	JButton testButton;

	private void createGUI() {
		String version = System.getProperty("java.version");
		JLabel label = new JLabel("Java Version: " + version);
		getContentPane().add(label, BorderLayout.NORTH);

		testButton = new JButton("Test");
		getContentPane().add(testButton, BorderLayout.CENTER);

		testButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				createWindow();
			}
		});
	}

	private void createWindow() {
		final JFrame window = new JFrame("testframe");

		JLabel l = new JLabel("test frame");
		window.getContentPane().add(l, BorderLayout.NORTH);

		JButton b = new JButton("close");
		window.getContentPane().add(b, BorderLayout.CENTER);

		b.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				window.setVisible(false);
			}
		});

		window.doLayout();
		window.setVisible(true);
	}

	public void init() {
		try {
			SwingUtilities.invokeAndWait(new Runnable() {
				public void run() {
					createGUI();
				}
			});
		} catch(Exception e) {
			System.err.println("createGUI didn't successfully complete");
		}
	}

	public void stop() {
	}
}
